Subject: Re: [PATCH] softmac: Fix WX and association related races

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 28 Sep 2006 08:23:23 +1000

On Wed, 2006-09-27 at 19:50 +0200, Michael Buesch wrote:
> On Wednesday 27 September 2006 18:18, Larry Finger wrote:
> > Michael Buesch wrote:
> > > This fixes some race conditions in the WirelessExtension
> > > handling and association handling code.
> > > 
> > > Signed-off-by: Michael Buesch <[email-masked]>
> > > 
> > > ---
> > 
> > This patch doesn't apply.
> 
> Oh, linville merged stuff on the 25th. That's the day I updated
> my tree to do this patch. But seems like I did it just before
> the merge.
> Who could suspect that linville merges something. :D
> *me runs away*
> 
> Anyway. Here's an updated patch.

Which still doesn't apply to 2.6.18.

I won't try some random other git tree to test things, it's simply not
feasible for me and we need something we can give to distros to backport
so they have something remotely stable (I'm thinking for example about
the upcoming ubuntu edgy which is coming out soon an a 2.6.17 base).

Ben.